$exePath = "D:\PLATECOL\PLATETEC.EXE"
$regPath = "SIGN=8852E412 PLATECOL\PLATETEC.EXE"
$check = _SetCompat($exePath, $regPath, "", 1, 0, 0, 0)

If @error == 1 Then
    MsgBox(0,"Error", "Incorrect Operating System Version.")
ElseIf @error == 2 Then
    MsgBox(0,"Error", "Path to .exe file does not exist.")
EndIf

Run($exePath, "D:\PLATECOL\")


Func _SetCompat($exePath, $regPath = $exePath, $OS_Version = "", $256_Mode = 0, $640_480_Mode = 0, $Disable_Themes = 0, $Disable_Adv_Text = 0)
    $regString = ""
    Select
        Case StringInStr($OS_Version, "95")
            $regString &= "WIN95 "
        Case StringInStr($OS_Version, "98") Or StringInStr($OS_Version, "ME")
            $regString &= "WIN98 "
        Case StringInStr($OS_Version, "NT")
            $regString &= "NT4SP5 "
        Case StringInStr($OS_Version, "2000")
            $regString &= "WIN2000 "
        Case $OS_Version <> ""
            SetError(1)
            Return 0
    EndSelect
    If $256_Mode <> 0 Then
        $regString &= "256COLOR "
    EndIf
    If $640_480_Mode <> 0 Then
        $regString &= "640X480 "
    EndIf
    If $Disable_Themes <> 0 Then
        $regString &= "DISABLETHEMES "
    EndIf
    If $Disable_Adv_Text <> 0 Then
        $regString &= "DISABLECICERO "
    EndIf
    If StringRight($regString, 1) == " " Then
        $regString = StringTrimRight($regString, 1)
    EndIf
    If FileExists($exePath) Then
        RegWrite("HKCU\Software\Microsoft\Windows NT\CurrentVersion\AppCompatFlags\Layers", $regPath, "REG_SZ", $regString)
        Return 1
    Else
        SetError(2)
        Return 0
    EndIf
EndFunc